Issue 15563

Summary: Excel import: drawing objects embedded in charts
Product: Calc Reporter: kyrimis <kyrimis>
Component: codeAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: issues, kyoshida, mseidel
Version: OOo 1.1 Beta2   
Target Milestone: ---   
Hardware: PC   
OS: Windows XP   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
excel file with incorrectly rendered charts none

Description kyrimis 2003-06-12 16:12:12 UTC
I will be attaching an excel file containing some elaborate charts, which the
OpenOffice.org spreadsheet fails to render correctly. Failure ranges from
incorrectly rendered axis legends to the charts not appearing at all. (Ignore
any surounding text that appears to be Greek to you--it IS Greek!!!)

I don't know if it is relevant, but it takes an extraordinary amount of time for
OpenOffice.org to open this file (about 40 seconds on a 3 MHz pentium4).

Believe it or not, this is not something created to break OpenOffice.org, but an
actual file that I use at work!
Comment 1 kyrimis 2003-06-12 16:47:18 UTC
Created attachment 6828 [details]
excel file with incorrectly rendered charts
Comment 2 oc 2003-06-16 10:21:53 UTC
Hi Daniel,
one4you
Comment 3 daniel.rentz 2003-06-16 11:23:11 UTC
started
Comment 4 oc 2004-05-28 11:08:00 UTC
OC: Due to high workload this issue is retargeted to office.later
Comment 5 daniel.rentz 2005-10-06 11:23:16 UTC
Update: Remaining chart problems, as far as I can see them:

Chart 1 (Open Hi Low Close)
- contains embedded text boxes
- different automatic scaling for Y grid lines, fixed with issue 30426
- different automatic labels on X axis

Chart 2 (Hi Low Close)
- contains embedded text boxes
- different automatic scaling for Y grid lines, fixed with issue 30426
- different automatic minimum for Y axis, fixed with issue 30426
- different automatic labels on X axis

Chart 3 (Columns)
- wrong position of title -> issue 30851
- different automatic labels on X axis

Chart 4 (Area)
- missing automatic title
- different automatic labels on X axis
- different automatic maximum and scaling for Y axis, fixed with issue 30426

Chart 5 (two charts in a group)
- grouped charts are not skipped anymore, fixed with issue 47246

No new problems in Chart 6, Chart 7

Chart 8
- position of X axis labels
- Y axis scaling, fixed with issue 30426
Comment 6 daniel.rentz 2005-10-06 13:17:41 UTC
planned for OOo 3.0
Comment 7 daniel.rentz 2006-06-28 12:33:13 UTC
raising target, should be done in chart2 project
Comment 8 daniel.rentz 2008-05-26 17:13:10 UTC
target
Comment 9 kyoshida 2008-08-04 16:10:28 UTC
Ad dr said in Issue 92357, chart's subtitles can also be exported using the
embedded text objects once they are supported.